cancel
Showing results for 
Search instead for 
Did you mean: 

Some rich text editors do not work in Firefox 11

Note: This article only applies to Firefox 11.
Note: This article only applies to Firefox 11.

With Firefox 11, pages using older versions of the TinyMCE rich text editor will not work properly in rich text mode. This article describes workarounds for website administrators and for users of these websites.

Information for website users

This issue has been fixed in Firefox 12.

Information for website administrators

A rich text editor lets you type formatted text (such as bold, italics) in a form field. They are often used when editing interfaces such as in blogs or forum posts. For instance, TinyMCE is used on platforms such as Prestashop, Drupal, Moodle, concrete5, plone, modx, Mambo, Cascade Server CMS. With Firefox 11, you may see a blank space where text should be and may need to use the HTML view to edit documents.

If you are the administrator of a site with this editor, the simplest thing to do is to update TinyMCE to the latest version (3.4.3 or higher). If you can't do that, you can simply add a line of javascript to the settings to change the way TinyMCE is loaded to avoid this problem. See this post on the TinyMCE forums for more details.

Customize this article

Firefox

Firefox for Android

Firefox for iOS

Firefox OS

Thunderbird

Version History
Revision #:
3 of 3
Last update:
4 weeks ago
Updated by:
Senior Contributor
 
Tags (1)